#MAP SELECTION
execute positioned -8 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s add selected_map
execute positioned -8 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_1
execute positioned -8 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_2
execute positioned -8 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_3

execute positioned -10 65.5 1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s add back_1
execute positioned -10 65.5 1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove selected_map
execute positioned -10 65.5 1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_2
execute positioned -10 65.5 1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_3

execute positioned -11 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s add back_2
execute positioned -11 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove selected_map
execute positioned -11 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_1
execute positioned -11 65.5 0 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_3

execute positioned -10 65.5 -1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s add back_3
execute positioned -10 65.5 -1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove selected_map
execute positioned -10 65.5 -1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_1
execute positioned -10 65.5 -1 as @e[type=armor_stand,distance=..1,sort=nearest,limit=1] run tag @s remove back_2

execute as @e[tag=back_1] run data merge entity @s {CustomNameVisible:0b,Invisible:0b}
execute as @e[tag=back_1] at @s run tp @s ~ ~ ~ ~4 ~
execute as @e[tag=back_2] run data merge entity @s {CustomNameVisible:0b,Invisible:0b}
execute as @e[tag=back_2] at @s run tp @s ~ ~ ~ ~4 ~
execute as @e[tag=back_3] run data merge entity @s {CustomNameVisible:0b,Invisible:0b}
execute as @e[tag=back_3] at @s run tp @s ~ ~ ~ ~4 ~
execute as @e[tag=selected_map] run data merge entity @s {CustomNameVisible:1b,Invisible:1b}
execute as @e[tag=selected_map] at @s run tp @s ~ ~ ~ ~4 ~

execute if entity @e[tag=selected_map,name="Trees Of Cane"] run scoreboard players set logicController currentMap 0
execute if entity @e[tag=selected_map,name="Rainbow Candy Cane Parkour"] run scoreboard players set logicController currentMap 1
execute if entity @e[tag=selected_map,name="Candy Cane Presents"] run scoreboard players set logicController currentMap 2
execute if entity @e[tag=selected_map,name="Cane Sugar Cookies"] run scoreboard players set logicController currentMap 3

#updating time settings
data merge block 6 66 0 {Text3:"{\"score\":{\"name\":\"logicController\",\"objective\":\"minutes\"},\"color\":\"red\"}"}
scoreboard players operation logicController minutesDummy = logicController minutes
execute store result score logicController seconds run scoreboard players operation logicController minutesDummy *= 60 constant

#spawn particles
execute as @e[tag=spawn_particles] at @s if score logicController spParticlesUp matches 1.. run tp @s ~ ~0.05 ~ ~9 ~
execute as @e[tag=spawn_particles] at @s if score logicController spParticlesUp matches ..0 run tp @s ~ ~-0.05 ~ ~9 ~
execute positioned 0 66.5 0 if entity @e[distance=..0.05,type=armor_stand] run scoreboard players set logicController spParticlesUp 0
execute positioned 0 64 0 if entity @e[distance=..0.05,type=armor_stand] run scoreboard players set logicController spParticlesUp 1
execute at @e[tag=spawn_particles] run particle minecraft:flame ^-2 ^ ^ 0 0 0 0 1 normal
execute at @e[tag=spawn_particles] run particle minecraft:flame ^2 ^ ^ 0 0 0 0 1 normal

execute unless entity @a[team=buttonHider] run scoreboard players set logicController pJoinedHider 0
execute unless entity @a[team=buttonFinder] run scoreboard players set logicController pJoinedFinder 0

bossbar set minecraft:timeleft players